# -*- coding: utf-8 -*-

import ecs_profil


def calc_info(user_infos):
    """
        calcule le profil d'un utilisateur
    """
    PROFESSEUR=["professeurs"]
    ADMIN=["admin"]
    ELEVE=["eleves"]
    DEFAULT=["invite"]

    if isAdmin(user_infos):
        return ADMIN

    # N'ayant pas de profil "Administratif", on considère que les administratifs sont 'professeurs'
    # (Assistant Education, Vie Scolaire,...)
    if isEnseignant(user_infos) or isAcademique(user_infos) or isAdministratif(user_infos):
        return PROFESSEUR
    
    if isEleve(user_infos):
        return ELEVE
        
    if isParent(user_infos):
        return DEFAULT

    return DEFAULT
    
    
